## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EClassEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.emf.ecoretools.diagram.edit.parts.EClassEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.common.core.util.IAdaptableSelection, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener, org.eclipse.gmf.runtime.diagram.ui.editparts.IEditableEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.INodeEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.INotableEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IPrimaryEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart

    public class EClassEditPart

extends org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart

Nested Class Summary
`class` `EClassEditPart.ClassFigure`

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart.ShapeContainerEditPolicy`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`protected org.eclipse.draw2d.IFigure` `contentPane`
`protected org.eclipse.draw2d.IFigure` `primaryShape`
`static int` `VISUAL_ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid, FLAG__AUTO_CONNECTIONS_VISIBILITY, FLAG__IS_EDITABLE, GRAPHICAL_EDIT_PART__MAX_FLAG`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EClassEditPart(org.eclipse.gmf.runtime.notation.View view)`

Method Summary
`protected void` `addChildVisual(org.eclipse.gef.EditPart childEditPart, int index)`
`protected boolean` `addFixedChild(org.eclipse.gef.EditPart childEditPart)`
`protected void` `createDefaultEditPolicies()`
`protected org.eclipse.gef.editpolicies.LayoutEditPolicy` `createLayoutEditPolicy()`
`protected org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure` `createNodeFigure()` Creates figure for this edit part.
`protected org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure` `createNodePlate()`
`protected org.eclipse.draw2d.IFigure` `createNodeShape()`
`org.eclipse.draw2d.IFigure` `getContentPane()`
`protected org.eclipse.draw2d.IFigure` `getContentPaneFor(org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart editPart)`
`java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getMARelTypesOnSource()`
`java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getMARelTypesOnSourceAndTarget(org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart targetEditPart)`
`java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getMARelTypesOnTarget()`
`java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getMATypesForSource(org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`
`java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getMATypesForTarget(org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`
`org.eclipse.gef.EditPart` `getPrimaryChildEditPart()`
`org.eclipse.gef.EditPolicy` `getPrimaryDragEditPolicy()`
`EClassEditPart.ClassFigure` `getPrimaryShape()`
`org.eclipse.gef.EditPart` `getTargetEditPart(org.eclipse.gef.Request request)`
`protected void` `handleNotificationEvent(org.eclipse.emf.common.notify.Notification event)`
`protected void` `refreshVisuals()`
`protected void` `removeChildVisual(org.eclipse.gef.EditPart childEditPart)`
`protected boolean` `removeFixedChild(org.eclipse.gef.EditPart childEditPart)`
`protected void` `setBackgroundColor(org.eclipse.swt.graphics.Color color)`
`protected void` `setForegroundColor(org.eclipse.swt.graphics.Color color)`
`protected void` `setLineType(int style)`
`protected void` `setLineWidth(int width)`
`protected org.eclipse.draw2d.IFigure` `setupContentPane(org.eclipse.draw2d.IFigure nodeShape)` Default implementation treats passed figure as content pane.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor, refreshBackgroundColor, refreshTransparency, setGradient, setTransparency, supportsGradient`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getSize, refreshBounds`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableCanonicalFor, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEditDomain, getEditingDomain, getLineType, getLineWidth, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isAutomaticalRefreshConnectionsVisibility, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshLineType, refreshLineWidth, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setAutomaticalRefreshConnectionsVisibility, setConnectionsVisibility, setFont, setFontColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### VISUAL_ID

    public static final int VISUAL_ID

See Also:
  Constant Field Values

### contentPane

    protected org.eclipse.draw2d.IFigure contentPane

### primaryShape

    protected org.eclipse.draw2d.IFigure primaryShape

Constructor Detail

### EClassEditPart

    public EClassEditPart(org.eclipse.gmf.runtime.notation.View view)

Method Detail

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Overrides:
    `createDefaultEditPolicies` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart`

### createLayoutEditPolicy

    protected org.eclipse.gef.editpolicies.LayoutEditPolicy createLayoutEditPolicy()

### createNodeShape

    protected org.eclipse.draw2d.IFigure createNodeShape()

### getPrimaryShape

    public EClassEditPart.ClassFigure getPrimaryShape()

### addFixedChild

    protected boolean addFixedChild(org.eclipse.gef.EditPart childEditPart)

### removeFixedChild

    protected boolean removeFixedChild(org.eclipse.gef.EditPart childEditPart)

### addChildVisual

    protected void addChildVisual(org.eclipse.gef.EditPart childEditPart,
                                  int index)

  Overrides:
    `addChildVisual` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### removeChildVisual

    protected void removeChildVisual(org.eclipse.gef.EditPart childEditPart)

  Overrides:
    `removeChildVisual` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getContentPaneFor

    protected org.eclipse.draw2d.IFigure getContentPaneFor(org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart editPart)

  Overrides:
    `getContentPaneFor` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### createNodePlate

    protected org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure createNodePlate()

### createNodeFigure

    protected org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure createNodeFigure()

  Creates figure for this edit part. Body of this method does not depend on settings in generation model so you may safely remove generated tag and modify it.

  Specified by:
    `createNodeFigure` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart`

### setupContentPane

    protected org.eclipse.draw2d.IFigure setupContentPane(org.eclipse.draw2d.IFigure nodeShape)

  Default implementation treats passed figure as content pane. Respects layout one may have set for generated figure.

  Parameters:
    `nodeShape` - instance of generated figure class

### getContentPane

    public org.eclipse.draw2d.IFigure getContentPane()

  Specified by:
    `getContentPane` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getContentPane` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### setForegroundColor

    protected void setForegroundColor(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setForegroundColor` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### setBackgroundColor

    protected void setBackgroundColor(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setBackgroundColor` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart`

### setLineWidth

    protected void setLineWidth(int width)

  Overrides:
    `setLineWidth` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### setLineType

    protected void setLineType(int style)

  Overrides:
    `setLineType` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### getPrimaryChildEditPart

    public org.eclipse.gef.EditPart getPrimaryChildEditPart()

  Specified by:
    `getPrimaryChildEditPart` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart`
  Overrides:
    `getPrimaryChildEditPart` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### getMARelTypesOnSource

    public java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType> getMARelTypesOnSource()

### getMARelTypesOnSourceAndTarget

    public java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType> getMARelTypesOnSourceAndTarget(org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart targetEditPart)

### getMATypesForTarget

    public java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType> getMATypesForTarget(org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

### getMARelTypesOnTarget

    public java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType> getMARelTypesOnTarget()

### getMATypesForSource

    public java.util.List<org.eclipse.gmf.runtime.emf.type.core.IElementType> getMATypesForSource(org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

### getTargetEditPart

    public org.eclipse.gef.EditPart getTargetEditPart(org.eclipse.gef.Request request)

  Specified by:
    `getTargetEditPart` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `getTargetEditPart` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart`

### handleNotificationEvent

    protected void handleNotificationEvent(org.eclipse.emf.common.notify.Notification event)

  Overrides:
    `handleNotificationEvent` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart`

### refreshVisuals

    protected void refreshVisuals()

  Overrides:
    `refreshVisuals` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart`

### getPrimaryDragEditPolicy

    public org.eclipse.gef.EditPolicy getPrimaryDragEditPolicy()

  Overrides:
    `getPrimaryDragEditPolicy` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart`

Copyright 2007 Anyware Technologies. All Rights Reserved.